Name:           dictd-dictionaries
Version:        1
Release:        1%{?dist}
Summary:        Some dictionaries for dictd
Group:          Applications/Internet
License:        Unknown
URL:            http://dict.org/
Source0:        ftp://ftp.dict.org/dict/pre/debian/dict-bouvier_6.revised-2.tar.gz
Source1:        ftp://ftp.dict.org/dict/pre/debian/dict-gazetteer2k_1.0.0-3.tar.gz
Source2:        ftp://ftp.dict.org/dict/pre/debian/dict-gcide_0.48-4.tar.gz
Source3:        ftp://ftp.dict.org/dict/pre/debian/dict-moby-thesaurus_1.0-5.tar.gz
Source4:        ftp://ftp.dict.org/dict/pre/devils-dict-pre.tar.gz
Source5:        ftp://ftp.dict.org/dict/pre/dict-foldoc-20030927-pre.tar.gz
Source6:        ftp://ftp.dict.org/dict/pre/dict-gazetteer-1.2-pre.tar.gz
Source7:        ftp://ftp.dict.org/dict/pre/dict-jargon_4.3.1.tgz
Source8:        ftp://ftp.dict.org/dict/pre/dict-misc-1.5b-pre.tar.gz
Source9:        ftp://ftp.dict.org/dict/pre/dict-vera-1.9-pre.tar.gz
Source10:       ftp://ftp.dict.org/dict/pre/dict-web1913-1.4-pre.tar.gz
Source11:       ftp://ftp.dict.org/dict/pre/dict-wn-2.0-pre.tar.gz
Source12:       ftp://ftp.dict.org/dict/pre/dict-world02-20030215.tar.gz
Source13:       ftp://ftp.dict.org/dict/pre/elements-20001107-pre.tar.gz
Source20:       dictd.conf-default

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

Requires:       dictd


%description
Installs a bunch of dictd dictionaries.


%prep
%setup -q -c
%setup -q -D -T -a 1
%setup -q -D -T -a 2
%setup -q -D -T -a 3
%setup -q -D -T -a 4
%setup -q -D -T -a 5
%setup -q -D -T -a 6
%setup -q -D -T -a 7
%setup -q -D -T -a 8
%setup -q -D -T -a 9
%setup -q -D -T -a 10
%setup -q -D -T -a 11
%setup -q -D -T -a 12
%setup -q -D -T -a 13
cp %{SOURCE20} .


%build
sed -i -e 's|LIBDIR|%{_datadir}|g' dictd.conf-default


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_datadir}/dictd
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}
cp -a dictd.conf-default $RPM_BUILD_ROOT%{_sysconfdir}/dictd.conf
cp -a *.dict.dz *.index $RPM_BUILD_ROOT%{_datadir}/dictd/


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%config(noreplace) %{_sysconfdir}/dictd.conf
%{_datadir}/dictd


%changelog
* Sun Apr 3 2011 Conrad Meyer <konrad@tylerc.org> 1-1
- Initial package
